/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: IndexQueryGEQ.java 541508 2007-05-25 01:54:12Z vgritsenko $
 */

package org.apache.xindice.core.indexer.helpers;

import org.apache.xindice.core.data.Value;
import org.apache.xindice.core.indexer.IndexPattern;
import org.apache.xindice.core.indexer.IndexQuery;

/**
 * IndexQueryGEQ
 *
 * @version $Revision: 541508 $, $Date: 2007-05-24 21:54:12 -0400 (Thu, 24 May 2007) $
 */
public final class IndexQueryGEQ extends IndexQuery {

    public IndexQueryGEQ(IndexPattern pattern, Value val1) {
        super(pattern, GEQ, val1);
    }

    public IndexQueryGEQ(IndexPattern pattern, String val1) {
        super(pattern, GEQ, val1);
    }

    public int getOperator() {
        return GEQ;
    }

    public boolean testValue(Value value) {
        return value.compareTo(vals[0]) >= 0;
    }
}

