/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: ProcessingException.java 564823 2007-08-11 02:46:58Z natalia $
 */

package org.apache.xindice.core.query;

import org.apache.xindice.core.FaultCodes;

/**
 * A ProcessingException is thrown by a Query if for some reason,
 * it fails to actually process the query request.
 *
 * @version $Revision: 564823 $, $Date: 2007-08-10 22:46:58 -0400 (Fri, 10 Aug 2007) $
 */
public final class ProcessingException extends QueryException {

    public ProcessingException() {
        super(FaultCodes.QRY_PROCESSING_ERROR);
    }

    public ProcessingException(String message) {
        super(FaultCodes.QRY_PROCESSING_ERROR, message);
    }

    public ProcessingException(String message, Throwable cause) {
        super(FaultCodes.QRY_PROCESSING_ERROR, message, cause);
    }
}
