/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: NodeTermPositions.java 584476 2007-10-14 02:41:50Z natalia $
 */

package org.apache.xindice.core.query.ftsearch;

import org.apache.lucene.index.TermPositions;
import org.apache.lucene.index.Term;

import java.io.IOException;

/**
 * TermPositions for searching over DOM nodes in memory
 *
 * @version $Revision: 584476 $, $Date: 2007-10-13 22:41:50 -0400 (Sat, 13 Oct 2007) $
 */
public class NodeTermPositions extends NodeTermDocs implements TermPositions {
    private int pos;
    private String term;

    public NodeTermPositions(NodeReader reader) {
        super(reader);
    }

    public void seek(Term term) {
        this.term = term.text();
        super.seek(term);
    }

    public int nextPosition() throws IOException {
        while (pos < nodes[num].size()) {
            if ((nodes[num].get(pos)).equals(term)) {
                return pos;
            }
            pos++;
        }

        return 0;
    }

    public boolean next() {
        if (super.next()) {
            pos = 0;
            return true;
        }

        return false;
    }

    public int getPayloadLength() {
        throw new UnsupportedOperationException();
    }

    public byte[] getPayload(byte[] data, int offset) throws IOException {
        throw new UnsupportedOperationException();
    }

    public boolean isPayloadAvailable() {
        return false;
    }
}
