<?xml version="1.0" encoding="UTF-8"?>
<!--
  - Licensed to the Apache Software Foundation (ASF) under one or more
  - contributor license agreements.  See the NOTICE file distributed with
  - this work for additional information regarding copyright ownership.
  - The ASF licenses this file to You under the Apache License, Version 2.0
  - (the "License"); you may not use this file except in compliance with
  - the License.  You may obtain a copy of the License at
  -
  -    http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and
  - limitations under the License.
  -
  - $Id: make-classpath.xsl 511415 2007-02-25 03:04:14Z vgritsenko $
  -->

<!--
  - Build the Eclipse .classpath file from a list of path items
  - (see "eclipse-project" target in build.xml)
  -
  - @author Sylvain Wallez
  - @version $Id: make-classpath.xsl 511415 2007-02-25 03:04:14Z vgritsenko $
  -->
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output indent="yes" method="xml"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match="/data">
    <classpath>
      <!-- 1. source dirs -->
      <xsl:for-each select="src-dirs/item">
        <classpathentry kind="src" path="{.}"/>
      </xsl:for-each>
     
      <!-- 2. libraries -->
      <xsl:for-each select="libs/item">
        <classpathentry kind="lib" path="{.}"/>
      </xsl:for-each>
     
      <!-- 3. mock classes -->
      <xsl:for-each select="mock-dirs/item">
        <classpathentry kind="src" path="{.}"/>
      </xsl:for-each>
     
      <!-- 4. JRE runtime -->
      <classpathentry kind="var" path="JRE_LIB" rootpath="JRE_SRCROOT" sourcepath="JRE_SRC"/>
     
      <!-- output directory. Build in a separate dir since Eclipse is confused by classes
           compiled externally by Sun's Javac -->
      <classpathentry kind="output" path="build/eclipse/classes"/>

    </classpath>
  </xsl:template>

</xsl:stylesheet>
